---
title: MySqlTransaction.SaveAsync method
---

# MySqlTransaction.SaveAsync method

Asynchronously sets a named transaction savepoint with the specified *savepointName*. If the current transaction already has a savepoint with the same name, the old savepoint is deleted and a new one is set.

```csharp
public Task SaveAsync(string savepointName, 
    CancellationToken cancellationToken = default(CancellationToken))
```

| parameter | description |
| --- | --- |
| savepointName | The savepoint name. |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task representing the asynchronous operation.

## Remarks

The proposed ADO.NET API that this is based on is not finalized; this API may change in the future.

## See Also

* class [MySqlTransaction](../../MySqlTransactionType/)
* namespace [MySqlConnector](../../MySqlTransactionType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
